Subject: Re: sendfile() broken with 2.6.26 + Apache 2 ?

From: "J. K. Cliburn" <[email-masked]>
Date: Wed, 16 Jul 2008 09:00:07 -0500

Pekka Enberg wrote:
> On Wed, Jul 16, 2008 at 4:38 PM, J. K. Cliburn <[email-masked]> wrote:
>>> Yes, maybe related to commit 9d90fb1ac9d97da86e24d9ea947bf2a2f333829a
>>> In this patch, Jay Cliburn enabled TSO by default for atl1 driver.
>>>
>>> This might be a driver problem, or a generic sendfile() problem, I dont
>>> know...
>> I'm currently traveling and unable to delve into this issue and its relation
>> to the atl1 driver.  I should be able to look at it this weekend when I get
>> back home.
> 
> Ehh... shouldn't we disable atl1 TSO by default for -stable, then?

Based upon my inability to look at the problem for a couple more days?